Index: uspace/srv/net/tl/udp/udp.c
===================================================================
--- uspace/srv/net/tl/udp/udp.c	(revision 08042bdd1b5c1413d2839ecabfccf873ea48e3e7)
+++ uspace/srv/net/tl/udp/udp.c	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -130,5 +130,5 @@
 	}
 
-	// read default packet dimensions
+	/* Read default packet dimensions */
 	rc = ip_packet_size_req(udp_globals.ip_phone, -1,
 	    &udp_globals.packet_dimension);
@@ -158,5 +158,5 @@
 	udp_globals.autobinding = NET_DEFAULT_UDP_AUTOBINDING;
 
-	// get configuration
+	/* Get configuration */
 	configuration = &names[0];
 	rc = net_get_conf_req(udp_globals.net_phone, &configuration, count,
@@ -217,6 +217,6 @@
  *			ip_client_process_packet() function.
  */
-static int
-udp_process_packet(device_id_t device_id, packet_t packet, services_t error)
+static int udp_process_packet(device_id_t device_id, packet_t packet,
+    services_t error)
 {
 	size_t length;
@@ -242,7 +242,8 @@
 		break;
 	case SERVICE_ICMP:
-		// ignore error
+		/* Ignore error */
 		// length = icmp_client_header_length(packet);
-		// process error
+
+		/* Process error */
 		result = icmp_client_process_packet(packet, &type,
 		    &code, NULL, NULL);
@@ -258,5 +259,5 @@
 	}
 
-	// TODO process received ipopts?
+	/* TODO process received ipopts? */
 	result = ip_client_process_packet(packet, NULL, NULL, NULL, NULL, NULL);
 	if (result < 0)
@@ -270,15 +271,15 @@
 		return udp_release_and_return(packet, NO_DATA);
 
-	// trim all but UDP header
+	/* Trim all but UDP header */
 	rc = packet_trim(packet, offset, 0);
 	if (rc != EOK)
 		return udp_release_and_return(packet, rc);
 
-	// get udp header
+	/* Get UDP header */
 	header = (udp_header_ref) packet_get_data(packet);
 	if (!header)
 		return udp_release_and_return(packet, NO_DATA);
 
-	// find the destination socket
+	/* Find the destination socket */
 	socket = socket_port_find(&udp_globals.sockets,
 	ntohs(header->destination_port), SOCKET_MAP_KEY_LISTENING, 0);
@@ -292,10 +293,10 @@
 	}
 
-	// count the received packet fragments
+	/* Count the received packet fragments */
 	next_packet = packet;
 	fragments = 0;
 	total_length = ntohs(header->total_length);
 
-	// compute header checksum if set
+	/* Compute header checksum if set */
 	if (header->checksum && !error) {
 		result = packet_get_addr(packet, (uint8_t **) &src,
@@ -310,6 +311,8 @@
 		} else {
 			checksum = compute_checksum(0, ip_header, length);
-			// the udp header checksum will be added with the first
-			// fragment later
+			/*
+			 * The udp header checksum will be added with the first
+			 * fragment later.
+			 */
 			free(ip_header);
 		}
@@ -330,5 +333,5 @@
 				return udp_release_and_return(packet, rc);
 
-			// add partial checksum if set
+			/* Add partial checksum if set */
 			if (header->checksum) {
 				checksum = compute_checksum(checksum,
@@ -337,5 +340,5 @@
 			}
 
-			// relese the rest of the packet fragments
+			/* Relese the rest of the packet fragments */
 			tmp_packet = pq_next(next_packet);
 			while (tmp_packet) {
@@ -346,10 +349,10 @@
 			}
 
-			// exit the loop
+			/* Exit the loop */
 			break;
 		}
 		total_length -= length;
 
-		// add partial checksum if set
+		/* Add partial checksum if set */
 		if (header->checksum) {
 			checksum = compute_checksum(checksum,
@@ -360,5 +363,5 @@
 	} while ((next_packet = pq_next(next_packet)) && (total_length > 0));
 
-	// check checksum
+	/* Verify checksum */
 	if (header->checksum) {
 		if (flip_checksum(compact_checksum(checksum)) !=
@@ -366,5 +369,5 @@
 			if (tl_prepare_icmp_packet(udp_globals.net_phone,
 			    udp_globals.icmp_phone, packet, error) == EOK) {
-				// checksum error ICMP
+				/* Checksum error ICMP */
 				icmp_parameter_problem_msg(
 				    udp_globals.icmp_phone, ICMP_PARAM_POINTER,
@@ -376,5 +379,5 @@
 	}
 
-	// queue the received packet
+	/* Queue the received packet */
 	rc = dyn_fifo_push(&socket->received, packet_get_id(packet),
 	    SOCKET_MAX_RECEIVED_SIZE);
@@ -387,5 +390,5 @@
 		return udp_release_and_return(packet, rc);
 
-	// notify the destination socket
+	/* Notify the destination socket */
 	fibril_rwlock_write_unlock(&udp_globals.lock);
 	async_msg_5(socket->phone, NET_SOCKET_RECEIVED,
@@ -410,7 +413,6 @@
  *			udp_process_packet() function.
  */
-static int
-udp_received_msg(device_id_t device_id, packet_t packet, services_t receiver,
-    services_t error)
+static int udp_received_msg(device_id_t device_id, packet_t packet,
+    services_t receiver, services_t error)
 {
 	int result;
@@ -451,6 +453,5 @@
  *			function.
  */
-static int
-udp_sendto_message(socket_cores_ref local_sockets, int socket_id,
+static int udp_sendto_message(socket_cores_ref local_sockets, int socket_id,
     const struct sockaddr *addr, socklen_t addrlen, int fragments,
     size_t *data_fragment_size, int flags)
@@ -480,5 +481,5 @@
 
 	if ((socket->port <= 0) && udp_globals.autobinding) {
-		// bind the socket to a random free port if not bound
+		/* Bind the socket to a random free port if not bound */
 		rc = socket_bind_free_port(&udp_globals.sockets, socket,
 		    UDP_FREE_PORTS_START, UDP_FREE_PORTS_END,
@@ -486,5 +487,5 @@
 		if (rc != EOK)
 			return rc;
-		// set the next port as the search starting port number
+		/* Set the next port as the search starting port number */
 		udp_globals.last_used_port = socket->port;
 	}
@@ -495,5 +496,5 @@
 		if (rc != EOK)
 			return rc;
-		// get the device packet dimension
+		/* Get the device packet dimension */
 //		rc = tl_get_ip_packet_dimension(udp_globals.ip_phone,
 //		    &udp_globals.dimensions, device_id, &packet_dimension);
@@ -502,5 +503,5 @@
 	}
 //	} else {
-		// do not ask all the time
+		/* Do not ask all the time */
 		rc = ip_packet_size_req(udp_globals.ip_phone, -1,
 		    &udp_globals.packet_dimension);
@@ -510,5 +511,5 @@
 //	}
 
-	// read the first packet fragment
+	/* Read the first packet fragment */
 	result = tl_socket_read_packet_data(udp_globals.net_phone, &packet,
 	    UDP_HEADER_SIZE, packet_dimension, addr, addrlen);
@@ -523,5 +524,5 @@
 		checksum = 0;
 
-	// prefix the udp header
+	/* Prefix the UDP header */
 	header = PACKET_PREFIX(packet, udp_header_t);
 	if (!header)
@@ -529,5 +530,6 @@
 
 	bzero(header, sizeof(*header));
-	// read the rest of the packet fragments
+
+	/* Read the rest of the packet fragments */
 	for (index = 1; index < fragments; index++) {
 		result = tl_socket_read_packet_data(udp_globals.net_phone,
@@ -548,11 +550,12 @@
 	}
 
-	// set the udp header
+	/* Set the UDP header */
 	header->source_port = htons((socket->port > 0) ? socket->port : 0);
 	header->destination_port = htons(dest_port);
 	header->total_length = htons(total_length + sizeof(*header));
 	header->checksum = 0;
+
 	if (udp_globals.checksum_computing) {
-		// update the pseudo header
+		/* Update the pseudo header */
 		rc = ip_client_set_pseudo_header_data_length(ip_header,
 		    headerlen, total_length + UDP_HEADER_SIZE);
@@ -562,5 +565,5 @@
 		}
 
-		// finish the checksum computation
+		/* Finish the checksum computation */
 		checksum = compute_checksum(checksum, ip_header, headerlen);
 		checksum = compute_checksum(checksum, (uint8_t *) header,
@@ -573,5 +576,5 @@
 	}
 
-	// prepare the first packet fragment
+	/* Prepare the first packet fragment */
 	rc = ip_client_prepare_packet(packet, IPPROTO_UDP, 0, 0, 0, 0);
 	if (rc != EOK)
@@ -581,5 +584,5 @@
 	fibril_rwlock_write_unlock(&udp_globals.lock);
 
-	// send the packet
+	/* Send the packet */
 	ip_send_msg(udp_globals.ip_phone, device_id, packet, SERVICE_UDP, 0);
 
@@ -606,7 +609,6 @@
  *			function.
  */
-static int
-udp_recvfrom_message(socket_cores_ref local_sockets, int socket_id, int flags,
-    size_t *addrlen)
+static int udp_recvfrom_message(socket_cores_ref local_sockets, int socket_id,
+    int flags, size_t *addrlen)
 {
 	socket_core_ref socket;
@@ -620,10 +622,10 @@
 	int rc;
 
-	// find the socket
+	/* Find the socket */
 	socket = socket_cores_find(local_sockets, socket_id);
 	if (!socket)
 		return ENOTSOCK;
 
-	// get the next received packet
+	/* Get the next received packet */
 	packet_id = dyn_fifo_value(&socket->received);
 	if (packet_id < 0)
@@ -636,5 +638,5 @@
 	}
 
-	// get udp header
+	/* Get UDP header */
 	data = packet_get_data(packet);
 	if (!data) {
@@ -644,5 +646,5 @@
 	header = (udp_header_ref) data;
 
-	// set the source address port
+	/* Set the source address port */
 	result = packet_get_addr(packet, (uint8_t **) &addr, NULL);
 	rc = tl_set_address_port(addr, result, ntohs(header->source_port));
@@ -653,5 +655,5 @@
 	*addrlen = (size_t) result;
 
-	// send the source address
+	/* Send the source address */
 	rc = data_reply(addr, *addrlen);
 	switch (rc) {
@@ -665,5 +667,5 @@
 	}
 
-	// trim the header
+	/* Trim the header */
 	rc = packet_trim(packet, UDP_HEADER_SIZE, 0);
 	if (rc != EOK) {
@@ -672,5 +674,5 @@
 	}
 
-	// reply the packets
+	/* Reply the packets */
 	rc = socket_reply_packets(packet, &length);
 	switch (rc) {
@@ -686,5 +688,5 @@
 	(void) dyn_fifo_pop(&socket->received);
 
-	// release the packet and return the total length
+	/* Release the packet and return the total length */
 	return udp_release_and_return(packet, (int) length);
 }
@@ -721,6 +723,8 @@
 	answer_count = 0;
 
-	// The client connection is only in one fibril and therefore no
-	// additional locks are needed.
+	/*
+	 * The client connection is only in one fibril and therefore no
+	 * additional locks are needed.
+	 */
 
 	socket_cores_initialize(&local_sockets);
@@ -728,14 +732,14 @@
 	while (keep_on_going) {
 
-		// answer the call
+		/* Answer the call */
 		answer_call(callid, res, &answer, answer_count);
 
-		// refresh data
+		/* Refresh data */
 		refresh_answer(&answer, &answer_count);
 
-		// get the next call
+		/* Get the next call */
 		callid = async_get_call(&call);
 
-		// process the call
+		/* Process the call */
 		switch (IPC_GET_METHOD(call)) {
 		case IPC_M_PHONE_HUNGUP:
@@ -831,8 +835,8 @@
 	}
 
-	// release the application phone
+	/* Release the application phone */
 	ipc_hangup(app_phone);
 
-	// release all local sockets
+	/* Release all local sockets */
 	socket_cores_release(udp_globals.net_phone, &local_sockets,
 	    &udp_globals.sockets, NULL);
@@ -854,6 +858,5 @@
  * @see IS_NET_UDP_MESSAGE()
  */
-int
-udp_message_standalone(ipc_callid_t callid, ipc_call_t *call,
+int udp_message_standalone(ipc_callid_t callid, ipc_call_t *call,
     ipc_call_t *answer, int *answer_count)
 {
